View Issue Details

IDProjectCategoryView StatusLast Update
0005219Talerdeployment and operationspublic2018-04-15 20:34
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005219: curl-based sanity checks should check status code
DescriptionCurl-based sanity checks check only whether *curl* returned some !=0 status
code. This does not catch errors like 502-returning Web sites, because curl is still OK with those.

So the HTTP status code is what should be checked.
TagsNo tags attached.

Relationships

has duplicate 0005199 closedMarcello Stanisci bank missing basic sanity checks in switcher 

Activities

Marcello Stanisci

2017-12-17 18:57

manager   ~0012697

use the '-w' option, like:

  curl -s -o /dev/null -w "%{http_code}" https://www.example.com/

Marcello Stanisci

2017-12-18 19:54

manager   ~0012698

fixed @ b4ef813

Issue History

Date Modified Username Field Change
2017-12-13 17:14 Marcello Stanisci New Issue
2017-12-14 15:51 Christian Grothoff Status new => confirmed
2017-12-14 15:51 Christian Grothoff Product Version => SVN HEAD
2017-12-14 15:51 Christian Grothoff Target Version => 0.6
2017-12-17 18:57 Marcello Stanisci Note Added: 0012697
2017-12-18 19:54 Marcello Stanisci Assigned To => Marcello Stanisci
2017-12-18 19:54 Marcello Stanisci Status confirmed => resolved
2017-12-18 19:54 Marcello Stanisci Resolution open => fixed
2017-12-18 19:54 Marcello Stanisci Note Added: 0012698
2017-12-19 20:21 Christian Grothoff Fixed in Version => 0.5
2017-12-19 20:21 Christian Grothoff Target Version 0.6 => 0.5
2017-12-29 10:58 Marcello Stanisci Relationship added has duplicate 0005199
2018-04-15 20:34 Christian Grothoff Status resolved => closed